return Def.ActorFrame {
	-- We want this under the noteskin, so that we it looks like a laser (?)
	LoadActor( NOTESKIN:GetPath("", "_Tap Receptor"), NOTESKIN:LoadActor( Var "Button", "KeypressBlock" ) ) .. {
		InitCommand=cmd(zoom,0);
		-- Press/Lift allows this to appear and disappear
		PressCommand=cmd(finishtweening;zoomx,1.2;glow,color("1,1,1,1");linear,0.2;zoomx,1;glow,color("1,1,1,0"));
		LiftCommand=cmd(diffusealpha,1;accelerate,0.1;zoomx,1.1;diffusealpha,0;);
	};
	LoadActor( NOTESKIN:GetPath("", "_Tap Receptor"), NOTESKIN:LoadActor( Var "Button", "KeypressBlock" ) ) .. {
		InitCommand=cmd(diffusealpha,0;blend,"BlendMode_Add";effectclock,'beat';diffuseramp;effectcolor1,color("0.5,0.5,0.5,1");effectcolor2,color("1,1,1,1"););
		-- Press/Lift allows this to appear and disappear
		PressCommand=cmd(finishtweening;linear,0.2;diffusealpha,1);
		LiftCommand=cmd(finishtweening;linear,0.2;diffusealpha,0);
	};
	-- Overlay the receptor.
	LoadActor( NOTESKIN:GetPath("", "_Tap Receptor"), NOTESKIN:LoadActor( Var "Button", "Go Receptor" ) );	
};

